#!/usr/bin/env python
# -*- coding: latin-1; -*-

from __future__ import print_function
from __future__ import division
from past.utils import old_div
from katropton.eigenvalues import *
from katropton.readers import *
import os
import fwk


def main():
    import matplotlib.pyplot as plt

    file_dir = os.path.dirname(__file__)
    work_dir = os.getcwd()

    display = False

    input_file_dir = '/Users/kimliegeois/Desktop/katropton/katropton_tests_2_cubes_patch/'

    filename_Q = input_file_dir + 'A_mm_after_bc.txt'
    filename_GT = input_file_dir + 'B_mm.txt'

    Q = read_mm(filename_Q)
    Q = get_symmetrical_part(Q)
    GT = read_mm(filename_GT)

    norm_Q = sparse_matrix_2_norm(Q)
    norm_GT = sparse_matrix_2_norm(GT)

    print(norm_Q)
    print(norm_GT)
    print(old_div(norm_Q, norm_GT))


if __name__ == "__main__":
    main()
